Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.parser
Class PdfContentStreamProcessor.ProcessGraphicsStateResource

    java.lang.Object
      com.lowagie.text.pdf.parser.PdfContentStreamProcessor.ProcessGraphicsStateResource

All Implemented Interfaces:
  ContentOperator

Enclosing class:
  PdfContentStreamProcessor

    private static class PdfContentStreamProcessor.ProcessGraphicsStateResource

extends Object
implements ContentOperator

A content operator implementation (gs).

Constructor Summary
`private` | `PdfContentStreamProcessor.ProcessGraphicsStateResource()`

Method Summary
`void` | `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, ArrayList operands)` Invokes a content operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfContentStreamProcessor.ProcessGraphicsStateResource

    private PdfContentStreamProcessor.ProcessGraphicsStateResource()

Method Detail

### invoke

    public void invoke(PdfContentStreamProcessor processor,
                       PdfLiteral operator,
                       ArrayList operands)

  Description copied from interface: `ContentOperator`
  Invokes a content operator.

  Specified by:
    `invoke` in interface `ContentOperator`
  Parameters:
    `processor` - the processor that is dealing with the PDF content
    `operator` - the literal PDF syntax of the operator
    `operands` - the operands that come with the operator

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD